[GES] No dialog to install missing codecs after discovering clips
Closed, ResolvedPublic

Description

Pitivi used to have such a dialog, but it doesn't get triggered in the GES version. Depends on bug https://bugzilla.gnome.org/show_bug.cgi?id=686181 in GES.

Imported from https://bugzilla.gnome.org/show_bug.cgi?id=686182

jeff claimed this task.Oct 15 2012, 9:14 PM
jeff created this task.
jeff added a subscriber: jeff.
jeff added a comment.Jan 30 2013, 5:39 PM

Partially done in https://github.com/nekohayo/pitivi/commits/codecs-installer but blocked on missing/erroneous stuff from GES.

[Comment #1] nekohayo@gmail.com : 20130130T17:39:52


Partially done in https://github.com/nekohayo/pitivi/commits/codecs-installer but blocked on missing/erroneous stuff from GES.

Jeff it would be great if you could be a bit more precise about what is missing/going wrong, I have to say I can't remember that at all.

jeff added a comment.Dec 17 2013, 2:39 AM

Ok, rebased the branch now. I at least get the error signal from gst... the first question that comes to mind now is how do I get the detail string to be used with GstPbutils's "install_plugins_async" function.

In theory, you get that detail strying by using
missing_plugin_message_get_installer_detail()

...on a gst error.

However, the "error-loading-asset" signal emitted by GES gives me a GError, which is just a string message such as
"Il manque un greffon dans votre installation de GStreamer."

...instead of what I thought would have been a gst core error object or something. So how do I use that with missing_plugin_message_get_installer_detail() ?

jeff added a comment.Dec 17 2013, 2:43 AM

...and actually, if you had looked at the GES bug report marked as blocking this one, you would have seen the exact same explanation:

https://bugzilla.gnome.org/show_bug.cgi?id=686181#c1

Uploaded

You should do Gst.

(In reply to comment #6)

You should do Gst.

Sorry my mistake. I just made that bug depend on https://bugzilla.gnome.org/show_bug.cgi?id=720596 instead of explaining it here.

jeff added a comment.Mar 14 2014, 2:47 PM

Uploaded

pitivi-maint triaged this task as Normal priority.Oct 15 2012, 9:14 PM
pitivi-maint claimed this task.
pitivi-maint added a subscriber: anti-stress.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:40 PM
thiblahute added a project: Pitivi.
thiblahute removed pitivi-maint as the assignee of this task.Sep 16 2015, 1:44 PM
aleb updated the task description. (Show Details)Nov 10 2016, 6:24 PM

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/1276.

csoriano1618 closed this task as Closed.Feb 23 2018, 9:22 PM
csoriano1618 claimed this task.